Docs: Change references to release 2.8.1 for server upgrade
authorBen Shum <bshum@biblio.org>
Mon, 4 May 2015 16:58:22 +0000 (12:58 -0400)
committerBen Shum <bshum@biblio.org>
Mon, 4 May 2015 16:58:22 +0000 (12:58 -0400)
Since 2.8.1 is released, change references in upgrade docs to this newest
release.

Signed-off-by: Ben Shum <bshum@biblio.org>
docs/installation/server_upgrade.txt

index 302a23c..d6c0d97 100644 (file)
@@ -8,7 +8,7 @@ Software Prerequisites
 
  * **PostgreSQL**: Version 9.3 is recommended. The minimum supported version
     is 9.1.
-  * **Linux**: Evergreen 2.7 has been tested on Debian Jessie (8.0),
+  * **Linux**: Evergreen 2.8 has been tested on Debian Jessie (8.0),
     Debian Wheezy (7.0), Debian Squeeze(6.0), Ubuntu Trusty Tahr (14.04),
     Ubuntu Precise Pangolin (12.04), and Fedora.
     If you are running an older version of these distributions, you may want
@@ -44,12 +44,12 @@ osrf_control --localhost --stop-all
  .. Back up the /openils directory.
 . Upgrade OpenSRF. Download and install the latest version of OpenSRF from
 the http://evergreen-ils.org/opensrf-downloads/[OpenSRF download page].
-. As the *opensrf* user, download and extract Evergreen 2.7:
+. As the *opensrf* user, download and extract Evergreen 2.8:
 +
 [source, bash]
 -----------------------------------------------
-wget http://evergreen-ils.org/downloads/Evergreen-ILS-2.7.3.tar.gz
-tar xzf Evergreen-ILS-2.7.3.tar.gz
+wget http://evergreen-ils.org/downloads/Evergreen-ILS-2.8.1.tar.gz
+tar xzf Evergreen-ILS-2.8.1.tar.gz
 -----------------------------------------------
 +
 [NOTE]
@@ -59,7 +59,7 @@ For the latest edition of Evergreen, check the http://evergreen-ils.org/egdownlo
 +
 [source, bash]
 ---------------------------------------------
-cd /home/opensrf/Evergreen-ILS-2.7.3
+cd /home/opensrf/Evergreen-ILS-2.8.1
 ---------------------------------------------
 +
 On the next command, replace `[distribution]` with one of these values for your
@@ -85,7 +85,7 @@ make -f Open-ILS/src/extras/Makefile.install [distribution]
 +
 [source, bash]
 ------------------------------------------------------------
-cd /home/opensrf/Evergreen-ILS-2.7.3
+cd /home/opensrf/Evergreen-ILS-2.8.1
 PATH=/openils/bin:$PATH ./configure --prefix=/openils --sysconfdir=/openils/conf
 make
 ------------------------------------------------------------
@@ -96,8 +96,8 @@ These instructions assume that you have also installed OpenSRF under /openils/.
 +
 [source, bash]
 ------------------------------------------------------------
-cd /home/opensrf/Evergreen-ILS-2.7.3
-make STAFF_CLIENT_STAMP_ID=rel_2_7_3 install
+cd /home/opensrf/Evergreen-ILS-2.8.1
+make STAFF_CLIENT_STAMP_ID=rel_2_8_1 install
 ------------------------------------------------------------
 +
 . As the *root* user, change all files to be owned by the opensrf user and group:
@@ -113,7 +113,7 @@ chown -R opensrf:opensrf /openils
 -----------------------------------------------------------
 cd /openils/var/web/xul/
 rm server
-ln -sf rel_2_7_1/server server
+ln -sf rel_2_8_1/server server
 ----------------------------------------------------------
 +
 . As the *opensrf* user, update opensrf_core.xml and opensrf.xml by copying the
@@ -133,7 +133,7 @@ Copying these configuration files will remove any customizations you have made t
 +
 [source, bash]
 -------------------------------------------------------------------------
-cd /home/opensrf/Evergreen-ILS-2.7.3
+cd /home/opensrf/Evergreen-ILS-2.8.1
 perl Open-ILS/src/support-scripts/eg_db_config --update-config --service all \
 --create-offline --database evergreen --host localhost --user evergreen --password evergreen
 -------------------------------------------------------------------------
@@ -157,21 +157,21 @@ The diff command can be used to show the differences between the distribution ve
 +
 [source, bash]
 ----------------------------------------------------------
-cp /home/opensrf/Evergreen-ILS-2.7.3/Open-ILS/examples/apache/eg_startup /etc/apache2/eg_startup
+cp /home/opensrf/Evergreen-ILS-2.8.1/Open-ILS/examples/apache/eg_startup /etc/apache2/eg_startup
 ----------------------------------------------------------
 +
 .. Update /etc/apache2/eg_vhost.conf by copying the example from Open-ILS/examples/apache/eg_vhost.conf.
 +
 [source, bash]
 ----------------------------------------------------------
-cp /home/opensrf/Evergreen-ILS-2.7.3/Open-ILS/examples/apache/eg_vhost.conf /etc/apache2/eg_vhost.conf
+cp /home/opensrf/Evergreen-ILS-2.8.1/Open-ILS/examples/apache/eg_vhost.conf /etc/apache2/eg_vhost.conf
 ----------------------------------------------------------
 +
 .. Update /etc/apache2/sites-available/eg.conf by copying the example from Open-ILS/examples/apache/eg.conf.
 +
 [source, bash]
 ----------------------------------------------------------
-cp /home/opensrf/Evergreen-ILS-2.7.3/Open-ILS/examples/apache/eg.conf /etc/apache2/sites-available/eg.conf
+cp /home/opensrf/Evergreen-ILS-2.8.1/Open-ILS/examples/apache/eg.conf /etc/apache2/sites-available/eg.conf
 ----------------------------------------------------------
 
 Upgrade the Evergreen database schema
@@ -194,7 +194,7 @@ anything goes wrong during the upgrade.
 =============
 Evergreen provides incremental upgrade scripts that allow you to upgrade
 from one minor version to the next until you have the current version of
-the schema. For example, if you want to upgrade from 2.5.1 to 2.7.3, you
+the schema. For example, if you want to upgrade from 2.5.1 to 2.8.1, you
 would run the following upgrade scripts:
 
 - 2.5.1-2.5.2-upgrade-db.sql
@@ -205,13 +205,16 @@ would run the following upgrade scripts:
 - 2.7.0-2.7.1-upgrade-db.sql
 - 2.7.1-2.7.2-upgrade-db.sql
 - 2.7.2-2.7.3-upgrade-db.sql
+- 2.7.3-2.7.4-upgrade-db.sql
+- 2.7.4-2.8.0-upgrade-db.sql (this is a major version upgrade)
+- 2.8.0-2.8.1-upgrade-db.sql
 
 Note that you do *not* want to run additional 2.5 scripts to upgrade to the
 newest version of 2.5, since currently there is no automated way to upgrade
 from 2.5.4+ to 2.6. Only upgrade as far as necessary to reach the major
 version upgrade script (in this example, as far as 2.5.3).
 
-To upgrade across multiple major versions (e.g. from 2.3.0 to 2.7.3), use
+To upgrade across multiple major versions (e.g. from 2.3.0 to 2.8.1), use
 the same logic to utilize the provided major version upgrade scripts. For
 example:
 
@@ -223,7 +226,9 @@ example:
 - 2.5.3-2.6.0-upgrade-db.sql
 - (run all incremental scripts from 2.6.0 to 2.6.3)
 - 2.6.3-2.7.0-upgrade-db.sql
-- (run all incremental scripts from 2.7.0 to 2.7.3)
+- (run all incremental scripts from 2.7.0 to 2.7.4)
+- 2.7.4-2.8.0-upgrade-db.sql
+- (run all incremental scripts from 2.8.0 to 2.8.1)
 =============
 
 [CAUTION]
@@ -237,8 +242,8 @@ as a user with the ability to connect to the database server.
 
 [source, bash]
 ----------------------------------------------------------
-cd /home/opensrf/Evergreen-ILS-2.7.3/Open-ILS/src/sql/Pg
-psql -U evergreen -h localhost -f version-upgrade/2.6.3-2.7.0-upgrade-db.sql evergreen
+cd /home/opensrf/Evergreen-ILS-2.8.1/Open-ILS/src/sql/Pg
+psql -U evergreen -h localhost -f version-upgrade/2.7.4-2.8.0-upgrade-db.sql evergreen
 ----------------------------------------------------------
 
 [TIP]
@@ -319,6 +324,6 @@ from the Evergreen community.
 Review Release Notes
 ~~~~~~~~~~~~~~~~~~~~
 
-Review the <<_evergreen_2_7_release_notes,2.7 release notes>> for other tasks 
+Review the <<_evergreen_2_8_release_notes,2.8 release notes>> for other tasks 
 that need to be done after upgrading.  If you have upgraded over several 
 major versions, you will need to review the release notes for each version also.